1. Brands
Zebracat Api Docs
  • Quick Start
  • API Key Management
    • List API Keys
      GET
    • Create API Key
      POST
    • Get API Key
      GET
    • Delete API Key
      DELETE
  • Billing
    • Get Balance & Purchase History
      GET
    • Purchase Credits
      POST
    • Get Usage
      GET
    • Get Usage Detail
      GET
  • Avatars
    • List Avatars
      GET
  • Brands
    • List Brands
      GET
    • Create Brand
      POST
    • Update Brand
      PUT
    • Partial Update Brand
      PATCH
    • Delete Brand
      DELETE
  • AI Characters
    • List Characters
      GET
    • Create Character
      POST
    • Suggest Character
      POST
    • Get Character
      GET
    • Update Character
      PUT
    • Partial Update Character
      PATCH
    • Delete Character
      DELETE
  • Image Generation
    • Generate AI Image
      POST
  • Videos
    • List Latest Videos
  • Music
    • List Music
    • Search Music
  • Projects
    • Rename Project
    • Delete Project
  • Scheduling
    • Connect Platform
    • Connected Platforms
    • Disconnect Platform
    • Create Post
    • List Posts
    • Get Post
    • Delete Post
  • Script Generation
    • Generate Voice-Over Script
  • Templates
    • List Templates
  • Agents
    • Agentic Video Generation
  • Video Generation
    • Audio to Video
    • Blog/URL to Video
    • Idea to Video
    • List Prompt Styles
    • Script to Video
    • Get Video Task Status
  • Video Translation
    • List Languages
    • Translate Video
  • Visual Styles
    • List Visual Styles
    • Create Visual Style
    • Activate Visual Style
    • Delete Visual Style
  • Voices
    • List Cloned Voices
    • Clone a Voice
    • List Voices
  • Webhooks
    • List Webhooks
    • Create Webhook
    • Get Webhook
    • Delete Webhook
  • Schemas
    • RequestBodies
      • activate_visual_styleData
    • APIKey
    • APIKeyCreate
    • Avatar
    • Brand
    • Character
    • ConnectPlatform
    • ConnectedPlatformsResponse
    • DisconnectPlatform
    • PostContent
    • PostResult
    • BulkPostResponse
    • SchedulingList
    • Template
    • Webhook
    • WebhookCreate
  1. Brands

Update Brand

PUT
https://api.zebracat.ai/v1/brands
Brands
Update an existing brand kit (multipart form data).

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Body Params multipart/form-data

Responses

🟢200
application/json
Brand updated.
Body

🟠401
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PUT 'https://api.zebracat.ai/v1/brands' \
--header 'X-API-KEY: <api-key>' \
--form 'name=""' \
--form 'website=""' \
--form 'light_logo=@""' \
--form 'colors=""' \
--form 'dark_logo=@""' \
--form 'description=""' \
--form 'font_data=""' \
--form 'text_effect_data=""' \
--form 'voice_id=""' \
--form 'avatar=""' \
--form 'storage_type=""' \
--form 'keywords=""' \
--form 'content_strategy=""' \
--form 'target_demographic=""' \
--form 'unique_selling_purpose=""' \
--form 'visual_asset_links=""'
Response Response Example
200 - Example 1
{
    "id": 0,
    "for_user": 0,
    "name": "string",
    "for_workspace": 0,
    "website": "string",
    "light_logo": "http://example.com",
    "light_logo_url": "string",
    "colors": {},
    "dark_logo": "http://example.com",
    "dark_logo_url": "string",
    "description": "string",
    "font_data": {},
    "text_effect_data": {},
    "voice_id": "string",
    "avatar": 0,
    "storage_type": "azure",
    "keywords": "string",
    "screenshot": "string",
    "content_strategy": "string",
    "target_demographic": "string",
    "unique_selling_purpose": "string",
    "visual_asset_links": {},
    "screenshot_url": "string"
}
Previous
Create Brand
Next
Partial Update Brand
Built with